Debian Bug report logs - #698771
Python classes should inherit from object

version graph

Package: python-guestfs; Maintainer for python-guestfs is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for python-guestfs is src:libguestfs.

Reported by: noxdafox <noxdafox@gmail.com>

Date: Wed, 23 Jan 2013 12:21:01 UTC

Severity: minor

Tags: upstream

Found in version libguestfs/1:1.18.11-1

Fixed in versions 1:20.6-4, 1:21.33-1, libguestfs/1:1.24.2-1, 1.20.2-1, 1:20.6-3

Done: Hilko Bengen <bengen@hilluzination.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, noxdafox@gmail.com, noxdafox@gmail.com, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#698771; Package python-guestfs. (Wed, 23 Jan 2013 12:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to noxdafox <noxdafox@gmail.com>:
New Bug report received and forwarded. Copy sent to noxdafox@gmail.com, noxdafox@gmail.com, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 23 Jan 2013 12:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: noxdafox <noxdafox@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Python classes should inherit from object
Date: Wed, 23 Jan 2013 14:18:01 +0200
Package: python-guestfs
Version: 1:1.18.11-1
Severity: minor
Tags: upstream

All the classes included in guestfs.py module are not inheriting from the
object class.

This would allow to extend the API through custom classes easily inheriting
from the original ones.

The new Python objects have been around for a while (since Python 2.2), the fix
should be easy and harmless.



-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-guestfs depends on:
ii  libc6        2.13-37
ii  libguestfs0  1:1.18.11-1
ii  python       2.7.3~rc2-1

python-guestfs recommends no packages.

python-guestfs suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#698771; Package python-guestfs. (Wed, 23 Jan 2013 21:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Richard W.M. Jones" <rjones@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 23 Jan 2013 21:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 698771@bugs.debian.org (full text, mbox):

From: "Richard W.M. Jones" <rjones@redhat.com>
To: 698771@bugs.debian.org
Subject: Re: Python classes should inherit from object
Date: Wed, 23 Jan 2013 21:52:04 +0000
Do you have a suggested patch or can you show us how to do this?

Rich.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#698771; Package python-guestfs. (Thu, 24 Jan 2013 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Richard W.M. Jones" <rjones@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 24 Jan 2013 13:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 698771@bugs.debian.org (full text, mbox):

From: "Richard W.M. Jones" <rjones@redhat.com>
To: 698771@bugs.debian.org
Subject: Re: Python classes should inherit from object
Date: Thu, 24 Jan 2013 13:50:42 +0000
I believe this is fixed upstream in libguestfs:

https://github.com/libguestfs/libguestfs/commit/abb1d466364f74adfcf3c985b92673285fd32e44

Also Dan Berrange made the equivalent change to libvirt, and I
will also change hivex.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
virt-top is 'top' for virtual machines.  Tiny program with many
powerful monitoring features, net stats, disk stats, logging, etc.
http://people.redhat.com/~rjones/virt-top



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#698771; Package python-guestfs. (Thu, 24 Jan 2013 15:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:03:10 GMT) Full text and rfc822 format available.

Message #20 received at 698771@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: "Richard W.M. Jones" <rjones@redhat.com>
Cc: 698771@bugs.debian.org
Subject: Re: Bug#698771: Python classes should inherit from object
Date: Thu, 24 Jan 2013 15:57:26 +0100
* Richard W.M. Jones:

> I believe this is fixed upstream in libguestfs:
>
> https://github.com/libguestfs/libguestfs/commit/abb1d466364f74adfcf3c985b92673285fd32e44

Thanks! It looks surprisingly simple. ;-)

This should not break any APIs, should it?

Cheers,
-Hilko



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#698771; Package python-guestfs. (Thu, 24 Jan 2013 15:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Richard W.M. Jones" <rjones@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Thu, 24 Jan 2013 15:03:12 GMT) Full text and rfc822 format available.

Message #25 received at 698771@bugs.debian.org (full text, mbox):

From: "Richard W.M. Jones" <rjones@redhat.com>
To: Hilko Bengen <bengen@debian.org>
Cc: 698771@bugs.debian.org
Subject: Re: Bug#698771: Python classes should inherit from object
Date: Thu, 24 Jan 2013 15:01:51 +0000
On Thu, Jan 24, 2013 at 03:57:26PM +0100, Hilko Bengen wrote:
> * Richard W.M. Jones:
> 
> > I believe this is fixed upstream in libguestfs:
> >
> > https://github.com/libguestfs/libguestfs/commit/abb1d466364f74adfcf3c985b92673285fd32e44
> 
> Thanks! It looks surprisingly simple. ;-)
> 
> This should not break any APIs, should it?

All the tests run :-)

Looking at the documentation, I don't see how anything could get
broken by this change unless code is doing really odd stuff in the
guts of Python.  Note also that this is the default in Python 3 -- in
other words for Python 3 we haven't changed anything.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
virt-top is 'top' for virtual machines.  Tiny program with many
powerful monitoring features, net stats, disk stats, logging, etc.
http://people.redhat.com/~rjones/virt-top



Marked as fixed in versions 1.20.2-1. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Wed, 13 Mar 2013 20:03:08 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1:20.6-3. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 18:39:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1:20.6-4. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 18:39:05 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1:21.33-1. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 18:39:06 GMT) Full text and rfc822 format available.

Reply sent to Hilko Bengen <bengen@hilluzination.de>:
You have taken responsibility. (Sun, 05 Jan 2014 17:27:06 GMT) Full text and rfc822 format available.

Notification sent to noxdafox <noxdafox@gmail.com>:
Bug acknowledged by developer. (Sun, 05 Jan 2014 17:27:06 GMT) Full text and rfc822 format available.

Message #38 received at 698771-done@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@hilluzination.de>
To: 698771-done@bugs.debian.org
Subject: Bug has been fixed
Date: Sun, 05 Jan 2014 18:26:08 +0100
control: fixed -1 1:1.18.11-1
control: fixed -1 1:1.24.2-1
control: fixed -1 1:1.24.3-1
control: fixed -1 1:1.25.19-1



Marked as fixed in versions libguestfs/1:1.24.2-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Wed, 08 Jan 2014 02:12:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Feb 2014 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:54:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.